﻿
//	thomas.d.papadopoulos@gmail.com

function readModel()
{

	// TEXT DATA

	titleText = 'Κατασκευή κύβου με χρωματιστά κυβάκια';
	
	problemText = ' Στον διπλανό καμβά έχει φτιάξει η Δανάη έναν μεγάλο κύβο με τρία κυβάκια σε κάθε ακμή του. ' +
	' Τοποθέτησε κόκκινα κυβάκια σε κείνες τις θέσεις που φαίνονται οι τρεις έδρες τους, πράσινα εκεί που φαίνονται οι δύο έδρες τους' +
    ' και στις υπόλοιπες θέσεις τοποθέτησε μαύρα. <br>α) Πόσα κόκκινα, πράσινα και μαύρα κυβάκια χρησιμοποίησε;' +
	' <br>β) Μπορείτε να φτιάξετε  με την ίδια λογική έναν κύβο με 4 μικρά κυβάκια σε κάθε πλευρά; Πόσα κυβάκια από κάθε χρώμα χρησιμοποιήσατε;' ;
	
	authorText = 'Φακούδης Βαγγέλης - Λάτση Μαρία';
	
	
	// last update
	
	// COLORS
	// Must always be 10 color hex values. The first one (index 0) is for internal use. You may change indices 1 .. 9.
	
	colors = [ 0x000000, 0xDF1F1F, 0xDFAF1F, 0x80DF1F, 0x006633, 0x1FDFDF, 0x1F4FDF, 0x7F1FDF, 0xDF1FAF, 0x000000 ];
	
	wireFrame = true;
	
	// end of last update	
	
	
	// DIMENSIONING
	
	gridDimension = 500;			
	cubeDimension = 50;	// this must be constant
	gridDensity = Math.floor( gridDimension / cubeDimension );
	
	
	// altered 8.6.13
	
	// COUNTERS
	
	init_show	= true;	// show number of blocks added by author
	usr_show	= true;	// show number of blocks added by user
	rare_show	= true;	// show number of blocks added by author, but deleted by user
	tot_show	= true;	// show total number of blocks currently in canvas
	
	// end of 8.6.13	
	
	
	// CANVAS DATA: 1 .. 9  for colorful cubes, 0 for empty space. Number of rows, columns and towers height must be equal to gridDensity.

	canvasGeometry = 
	[
		[	// 1st row
			[1,4,1,0,0,0,0,0,0,0],	// tower in 1st column	
			[4,9,4,0,0,0,0,0,0,0],	// tower in 2nd column			
			[1,4,1,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8τh column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9τh column	
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10τh column					
		],
		[	// 2nd row
			[4,9,4,0,0,0,0,0,0,0],	// tower in 1st column	
			[9,9,9,0,0,0,0,0,0,0],	// tower in 2nd column			
			[4,9,4,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10τh column				
		],	
		[	// 3rd row
			[1,4,1,0,0,0,0,0,0,0],	// tower in 1st column	
			[4,9,4,0,0,0,0,0,0,0],	// tower in 2nd column			
			[1,4,1,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column	
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10τh column					
		],
		[	// 4th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column	
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column			
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column	
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10τh column					
		],
		[	// 5th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column	
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column			
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column	
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10τh column					
		],
		[	// 6th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column	
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column			
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column	
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10τh column					
		],
		[	// 7th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column	
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column			
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column	
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10τh column		
		],
		[	// 8th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column	
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column			
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10τh column					
		],
		[	// 9th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column	
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column			
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10τh column					
		],	
		[	// 10th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column	
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column			
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10τh column					
		],				
	];	

}